Mailinglist Archive: yast-commit (819 mails)

< Previous Next >
[yast-commit] r54356 - in /branches/tmp/coolo/update_yast_repo: last_rev_yast last_rev_zypp update_repo.sh
  • From: coolo@xxxxxxxxxxxxxxxx
  • Date: Sat, 03 Jan 2009 21:12:10 -0000
  • Message-id: <E1LJDn0-0002IP-Bt@xxxxxxxxxxxxxxxx>
Author: coolo
Date: Sat Jan 3 22:12:10 2009
New Revision: 54356

URL: http://svn.opensuse.org/viewcvs/yast?rev=54356&view=rev
Log:
update it and let zypper install the build requires

Modified:
branches/tmp/coolo/update_yast_repo/last_rev_yast
branches/tmp/coolo/update_yast_repo/last_rev_zypp
branches/tmp/coolo/update_yast_repo/update_repo.sh

Modified: branches/tmp/coolo/update_yast_repo/last_rev_yast
URL:
http://svn.opensuse.org/viewcvs/yast/branches/tmp/coolo/update_yast_repo/last_rev_yast?rev=54356&r1=54355&r2=54356&view=diff
==============================================================================
--- branches/tmp/coolo/update_yast_repo/last_rev_yast (original)
+++ branches/tmp/coolo/update_yast_repo/last_rev_yast Sat Jan 3 22:12:10 2009
@@ -1 +1 @@
-54048
+54356

Modified: branches/tmp/coolo/update_yast_repo/last_rev_zypp
URL:
http://svn.opensuse.org/viewcvs/yast/branches/tmp/coolo/update_yast_repo/last_rev_zypp?rev=54356&r1=54355&r2=54356&view=diff
==============================================================================
--- branches/tmp/coolo/update_yast_repo/last_rev_zypp (original)
+++ branches/tmp/coolo/update_yast_repo/last_rev_zypp Sat Jan 3 22:12:10 2009
@@ -1 +1 @@
-11926
+11955

Modified: branches/tmp/coolo/update_yast_repo/update_repo.sh
URL:
http://svn.opensuse.org/viewcvs/yast/branches/tmp/coolo/update_yast_repo/update_repo.sh?rev=54356&r1=54355&r2=54356&view=diff
==============================================================================
--- branches/tmp/coolo/update_yast_repo/update_repo.sh (original)
+++ branches/tmp/coolo/update_yast_repo/update_repo.sh Sat Jan 3 22:12:10 2009
@@ -48,6 +48,17 @@
rm -f *.tar.bz2
svn export -q $url
cd `basename $url`
+ rpmlist=`grep -H ^BuildRequires: *.spec.in *.spec.cmake package/*.spec.in
package/*.spec.cmake 2> /dev/null | cut -d: -f3- | sed -e "s,>= [0-9. ]*,,g"`
+ missingrpms=
+ for rpm in $rpmlist; do
+ if ! rpm -q $rpm > /dev/null 2>&1 ; then
+ echo "$rpm not installed"
+ missingrpms="$missingrpms $rpm"
+ fi
+ done
+ if test -n "$missingrpms"; then
+ sudo zypper in $missingrpms || true
+ fi
if test -s package/update_rpm; then
bash package/update_rpm
else

--
To unsubscribe, e-mail: yast-commit+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: yast-commit+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages